## keystone-engine 0.9.2

=== src/llvm/keystone/CMakeLists.txt ===
# CMakeLists.txt for Keystone linking.

file(GLOB_RECURSE src_MC "../lib/MC/*.cpp")
file(GLOB src_Support "../lib/Support/*.c*")
file(GLOB src_Target "../lib/Target/*.cpp")

set(src_core
  ${src_MC}
  ${src_Support}
  ${src_Target}
)

file(GLOB_RECURSE src_AArch64 "../lib/Target/AArch64/*.cpp")
file(GLOB_RECURSE src_ARM "../lib/Target/ARM/*.cpp")
file(GLOB_RECURSE src_Hexagon "../lib/Target/Hexagon/*.cpp")
file(GLOB_RECURSE src_Mips "../lib/Target/Mips/*.cpp")
file(GLOB_RECURSE src_PowerPC "../lib/Target/PowerPC/*.cpp")
file(GLOB_RECURSE src_Sparc "../lib/Target/Sparc/*.cpp")
file(GLOB_RECURSE src_SystemZ "../lib/Target/SystemZ/*.cpp")
file(GLOB_RECURSE src_X86 "../lib/Target/X86/*.cpp")

set(src_all ${src_core})

foreach(t ${LLVM_TARGETS_TO_BUILD})
    set(src_all ${src_all} ${src_${t}})
endforeach(t)

include_directories(
  "../../include"
  "../lib/Target/AArch64"
  "../lib/Target/ARM"
  "../lib/Target/Hexagon"
  "../lib/Target/Mips"
  "../lib/Target/PowerPC"
  "../lib/Target/Sparc"
  "../lib/Target/SystemZ"
  "../lib/Target/X86"
)

add_library(keystone
  ${src_all}
  ks.cpp
  EVMMapping.cpp
)

install(TARGETS keystone DESTINATION lib${LLVM_LIBDIR_SUFFIX})

set_target_properties(
  keystone
  PROPERTIES
  archive_output_directory ${CMAKE_CURRENT_BINARY_DIR}/lib
  COMPILER_FLAGS "/EHsc"
  SOVERSION ${KEYSTONE_VERSION_MAJOR}
)

if (APPLE)
  set_target_properties(keystone
                        PROPERTIES
                        INSTALL_RPATH "")
endif()

=== src/suite/regress/c-crashers/Makefile ===
CFLAGS = -Wall -Werror -std=c99 -pedantic
LDLIBS = -l$(LIBNAME)
LIBNAME = keystone
PROGS = $(patsubst %.c, %, $(wildcard crash-??-*.c))
all: $(PROGS)
clean:
	$(RM) $(PROGS)

=== debian/changelog ===
keystone-engine (0.9.2-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 16 Jan 2025 12:29:15 +0100

=== debian/control ===
Source: keystone-engine
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.0
Homepage: https://www.keystone-engine.org
Vcs-Browser: https://gitlab.com/kalilinux/packages/keystone-engine
Vcs-Git: https://gitlab.com/kalilinux/packages/keystone-engine.git

Package: python3-keystone-engine
Architecture: any
Depends:
 ${python3:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: lightweight assembler framework (Python 3)
 This package contains lightweight multi-platform, multi-architecture assembler
 framework. It offers some unparalleled features:
 .
   *  Multi-architecture, with support for Arm, Arm64 (AArch64/Armv8), Ethereum
      Virtual Machine, Hexagon, Mips, PowerPC, RISC-V, Sparc, SystemZ & X86
      (include 16/32/64bit)
   *  Clean/simple/lightweight/intuitive architecture-neutral API
   *  Implemented in C/C++ languages, with bindings for Java, Masm, C#,
      PowerShell, Perl, Python, NodeJS, Ruby, Go, Rust, Haskell, VB6 & OCaml
      available
   *  Native support for Windows & *nix (with Mac OSX, Linux, *BSD & Solaris confirmed)
   *  Thread-safe by design
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=keystone-engine

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/keystone-engine/keystone/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
